org.apache.ignite.internal.visor.node

## Class VisorNodeDataCollectorJobResult

- java.lang.Object
- - org.apache.ignite.internal.visor.node.VisorNodeDataCollectorJobResult

All Implemented Interfaces:
  Serializable

    public class VisorNodeDataCollectorJobResult
    extends Object
    implements Serializable

Data collector job result.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorNodeDataCollectorJobResult()`

### Method Summary

Methods
`Collection<VisorCache>` `caches()`
`Throwable` `cachesEx()`
`void` `cachesEx(Throwable cachesEx)`
`long` `errorCount()`
`void` `errorCount(long errorCount)`
`Collection<VisorGridEvent>` `events()`
`Throwable` `eventsEx()`
`void` `eventsEx(Throwable evtsEx)`
`String` `gridName()`
`void` `gridName(String gridName)`
`Collection<VisorIgfsEndpoint>` `igfsEndpoints()`
`Collection<VisorIgfs>` `igfss()`
`Throwable` `igfssEx()`
`void` `igfssEx(Throwable igfssEx)`
`boolean` `taskMonitoringEnabled()`
`void` `taskMonitoringEnabled(boolean taskMonitoringEnabled)`
`long` `topologyVersion()`
`void` `topologyVersion(long topVer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorNodeDataCollectorJobResult

    public VisorNodeDataCollectorJobResult()

### Method Detail

#### gridName

    public String gridName()

Returns:
  Grid name.

#### gridName

    public void gridName(String gridName)

Parameters:
  `gridName` - New grid name value.

#### topologyVersion

    public long topologyVersion()

Returns:
  Current topology version.

#### topologyVersion

    public void topologyVersion(long topVer)

Parameters:
  `topVer` - New topology version value.

#### taskMonitoringEnabled

    public boolean taskMonitoringEnabled()

Returns:
  Current task monitoring state.

#### taskMonitoringEnabled

    public void taskMonitoringEnabled(boolean taskMonitoringEnabled)

Parameters:
  `taskMonitoringEnabled` - New value of task monitoring state.

#### events

    public Collection<VisorGridEvent> events()

Returns:
  Collection of collected events.

#### eventsEx

    public Throwable eventsEx()

Returns:
  Exception caught during collecting events.

#### eventsEx

    public void eventsEx(Throwable evtsEx)

Parameters:
  `evtsEx` - Exception caught during collecting events.

#### caches

    public Collection<VisorCache> caches()

Returns:
  Collected cache metrics.

#### cachesEx

    public Throwable cachesEx()

Returns:
  Exception caught during collecting caches metrics.

#### cachesEx

    public void cachesEx(Throwable cachesEx)

Parameters:
  `cachesEx` - Exception caught during collecting caches metrics.

#### igfss

    public Collection<VisorIgfs> igfss()

Returns:
  Collected IGFSs metrics.

#### igfsEndpoints

    public Collection<VisorIgfsEndpoint> igfsEndpoints()

Returns:
  Collected IGFSs endpoints.

#### igfssEx

    public Throwable igfssEx()

Returns:
  Exception caught during collecting IGFSs metrics.

#### igfssEx

    public void igfssEx(Throwable igfssEx)

Parameters:
  `igfssEx` - Exception caught during collecting IGFSs metrics.

#### errorCount

    public long errorCount()

Returns:
  Errors count.

#### errorCount

    public void errorCount(long errorCount)

Parameters:
  `errorCount` - Errors count.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015